/****************
 * Fonts
 ****************/
/****************
  * Paints
  ****************/
/****************
  * Effects
  ****************/
/****************
  * Grid Settings
  ****************/
.block-hero--homepage {
  margin-bottom: 4rem;
}
@media (min-width: 48rem) {
  .block-hero--homepage {
    margin-bottom: 5rem;
  }
}
@media (min-width: 48rem) {
  .block-hero--homepage .block-hero__wrapper {
    padding: 10.875rem 0;
  }
}
@media (max-width: 61.98rem) {
  .block-hero--homepage .block-hero__wrapper {
    padding: 3.9375rem 0 7.1875rem;
  }
}
.block-hero--homepage .block-hero__wrapper .block-hero__wrapper-text {
  max-width: 34.6875rem;
}
.block-hero--homepage .block-hero__wrapper .block-hero__wrapper-text p {
  color: #fff;
  text-transform: uppercase;
  font-size: 0.75rem;
  line-height: 1rem;
  letter-spacing: 0.05rem;
  font-weight: 700;
  margin-bottom: 0;
}

.block-hero--no-img .block-hero__wrapper {
  background: #fefcf7;
}
@media (min-width: 48rem) {
  .block-hero--no-img .block-hero__wrapper {
    padding: 8.25rem 0;
  }
}
@media (max-width: 61.98rem) {
  .block-hero--no-img .block-hero__wrapper {
    padding: 3.9375rem 0;
  }
}
@media (min-width: 48rem) {
  .block-hero--no-img .block-hero__wrapper .container {
    display: flex;
  }
}
@media (min-width: 48rem) {
  .block-hero--no-img .block-hero__wrapper-headings {
    width: 51.3%;
  }
}
@media (max-width: 61.98rem) {
  .block-hero--no-img .block-hero__wrapper-headings {
    margin-bottom: 1.4375rem;
  }
}
@media (min-width: 48rem) {
  .block-hero--no-img .block-hero__wrapper-headings h1 {
    max-width: 85%;
  }
}
.block-hero--no-img .block-hero__wrapper-headings p {
  color: #111622;
  text-transform: uppercase;
  font-size: 0.75rem;
  line-height: 1rem;
  letter-spacing: 0.05rem;
  font-weight: 700;
  margin-bottom: 0;
}
@media (min-width: 48rem) {
  .block-hero--no-img .block-hero__wrapper-text {
    width: 48.7%;
  }
}
.block-hero--no-img .block-hero__wrapper-text p {
  color: #111622;
  margin-bottom: 2.25rem;
}
@media (min-width: 48rem) {
  .block-hero--no-img .block-hero__wrapper-text p {
    margin-top: -0.25rem;
  }
}
.block-hero--no-img .block-hero__wrapper--only-headings {
  background: #f9f7f4;
  padding: 3.9375rem 0 2.875rem;
  display: flex;
}
@media (min-width: 48rem) {
  .block-hero--no-img .block-hero__wrapper--only-headings {
    padding: 1.875rem 0;
    min-height: 25rem;
  }
}
.block-hero--no-img .block-hero__wrapper--only-headings .container {
  display: flex;
}
.block-hero--no-img .block-hero__wrapper--only-headings .block-hero__wrapper-headings {
  width: 100%;
  max-width: 54rem;
  margin: auto;
  text-align: center;
}
@media (min-width: 48rem) {
  .block-hero--no-img .block-hero__wrapper--only-headings .block-hero__wrapper-headings {
    width: 100%;
  }
}
@media (max-width: 61.98rem) {
  .block-hero--no-img .block-hero__wrapper--only-headings .block-hero__wrapper-headings {
    margin: auto;
  }
}
@media (min-width: 48rem) {
  .block-hero--no-img .block-hero__wrapper--only-headings .block-hero__wrapper-headings h1 {
    max-width: 100%;
  }
}

.block-hero--hero-small {
  margin-bottom: 3.9375rem;
}
@media (min-width: 62rem) {
  .block-hero--hero-small {
    margin-bottom: 9.375rem;
  }
}
@media (min-width: 48rem) {
  .block-hero--hero-small .block-hero__wrapper {
    padding: 7.25rem 0 8.8125rem;
  }
}
@media (max-width: 61.98rem) {
  .block-hero--hero-small .block-hero__wrapper {
    padding: 3.9375rem 0;
  }
}
.block-hero--hero-small .block-hero__wrapper .container {
  text-align: center;
}
.block-hero--hero-small .block-hero__wrapper-text p {
  color: #fff;
  text-transform: uppercase;
  font-size: 0.75rem;
  line-height: 1rem;
  letter-spacing: 0.05rem;
  font-weight: 700;
  margin-bottom: 0;
}
.block-hero--hero-small .block-hero__wrapper-text h1 {
  margin-bottom: 0 !important;
}

.block-hero {
  position: relative;
  overflow: hidden;
}
.block-hero__background {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}
.block-hero__background:before {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 1;
  background: linear-gradient(90deg, rgba(17, 22, 34, 0.2) 0%, rgba(17, 22, 34, 0) 86.14%);
}
@media (min-width: 48rem) {
  .block-hero__background:before {
    opacity: var(--bg-opacity);
  }
}
.block-hero__background img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}
.block-hero .container {
  position: relative;
  z-index: 1;
}
.block-hero__wrapper-text h1 {
  margin-bottom: 2rem;
  color: #fff;
}
@media (max-width: 61.98rem) {
  .block-hero__wrapper-text .c-btn {
    width: auto;
  }
}
.block-hero__wrapper-text-dark p,
.block-hero__wrapper-text-dark h1 {
  color: #111622;
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
